%global debug_package %{nil}
%global mver 3.0

Name:           guile-sdl2
Version:        0.8.0
Release:        %{autorelease}
Summary:        Guile bindings to SDL

License:        LGPL-3.0-or-later
URL:            https://dthompson.us/projects/guile-sdl2.html
VCS:            git:https://git.dthompson.us/guile-sdl2.git
Source0:        https://files.dthompson.us/releases/guile-sdl2/guile-sdl2-%{version}.tar.gz
Source1:        https://files.dthompson.us/releases/guile-sdl2/guile-sdl2-%{version}.tar.gz.asc

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  guile30-devel
BuildRequires:  make
BuildRequires:  sdl2-compat-devel
BuildRequires:  SDL2_image-devel
BuildRequires:  SDL2_mixer-devel
BuildRequires:  SDL2_ttf-devel

%description
Guile-SDL2 provides Guile Scheme bindings for the SDL2 C shared library. The
bindings are written in pure Scheme using Guile's foreign function interface.

%prep
%autosetup


%build
autoreconf -vfi
%configure
%make_build


%install
%make_install
test -f %{buildroot}/%{_infodir}/dir && rm %{buildroot}/%{_infodir}/dir

%check
make check

%files
%license COPYING
%doc README
%doc AUTHORS
%{_infodir}/guile-sdl2.info*
%dir %{_datadir}/guile
%dir %{_datadir}/guile/site
%dir %{_datadir}/guile/site/%{mver}/
%dir %{_datadir}/guile/site/%{mver}/sdl2
%{_datadir}/guile/site/%{mver}/sdl2.scm
%{_datadir}/guile/site/%{mver}/sdl2/*.scm
%dir %{_datadir}/guile/site/%{mver}/sdl2/bindings
%{_datadir}/guile/site/%{mver}/sdl2/bindings/*.scm
%dir %{_datadir}/guile/site/%{mver}/sdl2/input
%{_datadir}/guile/site/%{mver}/sdl2/input/*.scm
%dir %{_libdir}/guile/%{mver}/site-ccache/sdl2/
%{_libdir}/guile/%{mver}/site-ccache/sdl2.go
%{_libdir}/guile/%{mver}/site-ccache/sdl2/*.go
%dir %{_libdir}/guile/%{mver}/site-ccache/sdl2/bindings
%{_libdir}/guile/%{mver}/site-ccache/sdl2/bindings/*.go
%dir %{_libdir}/guile/%{mver}/site-ccache/sdl2/input
%{_libdir}/guile/%{mver}/site-ccache/sdl2/input/*.go

%changelog
%autochangelog 
